> ## Documentation Index
> Fetch the complete documentation index at: https://docs.fynn.eu/llms.txt
> Use this file to discover all available pages before exploring further.

# Upload a file

> Upload a file

<sup>Required permissions: `media:write`</sup>



## OpenAPI

````yaml post /media
openapi: 3.1.0
info:
  title: Fynn API
  description: ''
  termsOfService: https://www.fynn.eu/tos
  contact:
    name: Fynn UG (haftungsbeschränkt)
    url: https://www.fynn.eu
    email: hi@fynn.eu
  license:
    name: Proprietary
    url: https://www.fynn.eu/license
  version: 0.0.0
servers:
  - url: https://coreapi.io
    description: Production
  - url: https://preview.coreapi.io
    description: Sandbox
security:
  - JWT: []
tags: []
paths:
  /media:
    parameters: []
    post:
      tags:
        - Media
      summary: Upload a file
      description: |-
        Upload a file

        <sup>Required permissions: `media:write`</sup>
      operationId: uploadMedia
      parameters:
        - name: folder
          in: query
          description: Media folder id
          required: true
          deprecated: false
          allowEmptyValue: false
          schema:
            type: string
            example: invoice
            enum:
              - invoice
              - subscription
              - debitor
              - payment
              - payment-sepa-mandate
              - payment-sepa-xml
              - contract
              - product
              - upload
              - default
          style: form
          explode: false
          allowReserved: false
      requestBody:
        description: ''
        content:
          multipart/form-data:
            schema:
              type: object
              properties:
                file:
                  type: string
                  format: binary
              required:
                - file
        required: true
      responses:
        '201':
          description: Media resource created
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Media-MediaRead'
            text/html:
              schema:
                $ref: '#/components/schemas/Media-MediaRead'
          links: {}
        '400':
          description: No file or folder provided
        '422':
          description: Unprocessable entity
      deprecated: false
      security:
        - JWT:
            - media:write
components:
  schemas:
    Media-MediaRead:
      type: object
      description: ''
      deprecated: false
      properties:
        id:
          $ref: '#/components/schemas/MediaId-MediaRead'
          readOnly: true
          example: 01F9Z3ZJXZQZJZJZJZJZJZJZJZ
        mediaFolder:
          $ref: '#/components/schemas/MediaFolder-MediaRead'
        isPrivate:
          description: Whether the media is public accessible or not
          example: true
          type: boolean
        mimeType:
          description: The mime type of the media
          example: image/jpeg
          type:
            - string
            - 'null'
        fileExtension:
          description: The file extension of the media
          example: jpg
          type: string
        fileName:
          description: The original file name of the media
          example: invoice.jpg
          type: string
        storageFileName:
          description: The file name of the media in the storage
          example: 01F9Z3ZJXZQZJZJZJZJZJZJZJZ.jpg
          type: string
        createdAt:
          readOnly: true
          description: The date and time when the media was created
          example: '2021-01-01T00:00:00+00:00'
          type: string
          format: date-time
    MediaId-MediaRead:
      type: object
      description: ''
      deprecated: false
    MediaFolder-MediaRead:
      type: object
      description: ''
      deprecated: false
      properties:
        name:
          example: invoice
          type: string
  securitySchemes:
    JWT:
      type: http
      scheme: bearer

````